// import { Calendar2 } from '@alifd/next';
// export default Calendar2;
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import ConfigProvider from '../config-provider';
import PropTypes from 'prop-types';
import React, { Component } from 'react';
import cls from 'classnames';
import { Calendar2 as NextCalendar2 } from '@alifd/next';
import { getTheme } from '../utils/getTheme';
class Calendar2 extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', className } = _a, otherProps = __rest(_a, ["prefix", "className"]);
        const theme = getTheme(this.context, this.props);
        return (React.createElement(NextCalendar2, Object.assign({}, otherProps, { prefix: prefix, className: cls(className, {
                [`${prefix}white`]: theme === 'white',
                [`${prefix}grey`]: theme === 'grey',
            }) })));
    }
}
// contextTypes
Calendar2.contextTypes = {
    theme: PropTypes.string,
};
export default ConfigProvider.config(Calendar2);
